POST api/badgereadertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeReaderTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
|
| description | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "bc3c4577-f9ac-4884-8ec0-8e1cc5a5f0ed",
"type": "sample string 2",
"description": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<badge_reader_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>bc3c4577-f9ac-4884-8ec0-8e1cc5a5f0ed</id> <type>sample string 2</type> </badge_reader_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b949263a-e4ac-4deb-a8be-45046ccc9c84"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b949263a-e4ac-4deb-a8be-45046ccc9c84</guid>